2020-03-04 09:57:08 +0200 Aki Tuomi <aki.tuomi@open-xchange.com> (0da0eff44)

    Released 2.3.10


M	configure.ac

2020-02-13 12:51:56 +0200 Aki Tuomi <aki.tuomi@open-xchange.com> (10515936e)

    NEWS: Add news for 2.3.10


M	NEWS

2020-02-13 12:54:45 +0200 Aki Tuomi <aki.tuomi@open-xchange.com> (059db3782)

    NEWS: Fix release date for 2.3.9.3


M	NEWS

2020-03-04 20:39:21 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (ca7e99107)

    dict-client: Fix panic if iteration is deinitialized before it has finished

    Fixes: Panic: BUG: No IOs or timeouts set. Not waiting for infinity.

M	src/lib-dict/dict-client.c

2020-03-04 15:40:46 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (4f4a9bbfa)

    lib-fs: Add fs_lookup_loaded_metadata()


M	src/lib-fs/fs-api-private.h
M	src/lib-fs/fs-api.c
M	src/lib-fs/fs-api.h
M	src/lib-fs/fs-metawrap.c
M	src/lib-fs/fs-test.c

2020-03-04 15:39:28 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (c69ccff62)

    lib-fs: Add flags parameter to fs_vfuncs.get_metadata()


M	src/lib-fs/fs-api-private.h
M	src/lib-fs/fs-api.c
M	src/lib-fs/fs-metawrap.c
M	src/lib-fs/fs-randomfail.c
M	src/lib-fs/fs-test.c
M	src/lib-fs/fs-wrapper.c
M	src/lib-fs/fs-wrapper.h

2020-03-04 15:11:12 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (92e9b4582)

    lib-fs: Add fs_file_set_flags()


M	src/lib-fs/fs-api.c
M	src/lib-fs/fs-api.h

2020-02-11 14:41:05 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (0b92773f5)

    example-config: Warn about ssl_client_ca_file memory usage


M	doc/example-config/conf.d/10-ssl.conf

2020-02-27 16:54:33 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (bb3e3c024)

    dict-redis: Fix hangs caused by previous dict_wait() addition


M	src/lib-dict/dict-redis.c

2020-02-25 17:33:30 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (463103a2c)

    lib-mail: message-snippet - Quoted text could have been wrongly added to the
    snippet

    This happened when the mail was large enough that the parsing used multiple 
    blocks. Parsing the following blocks were adding text in quoted state to the
    non-quoted snippet string.

M	src/lib-mail/message-snippet.c
M	src/lib-mail/test-message-snippet.c

2020-02-25 14:34:18 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (82be3b090)

    lib-mail: message-snippet - Don't include trailing whitespace in snippet


M	src/lib-mail/message-snippet.c
M	src/lib-mail/test-message-snippet.c

2020-02-25 14:33:31 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (a0cc3620e)

    lib-mail: message-snippet - Count '>' in quoted snippet towards
    max_snippet_chars


M	src/lib-mail/message-snippet.c
M	src/lib-mail/test-message-snippet.c

2020-02-25 14:31:43 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (f6998c4f8)

    lib-mail: message-snippet - Fix size limits for quoted snippets

    If the input only had quoted text, the snippet size wasn't limited to 
    max_snippet_chars as long as there was any whitespace in the quoted text.

M	src/lib-mail/message-snippet.c
M	src/lib-mail/test-message-snippet.c

2020-02-19 11:39:36 +0200 Martti Rannanjärvi <martti.rannanjarvi@open-xchange.com> (d9412db39)

    util: Hide password but not the field name in dovecot-sysreport


M	src/util/dovecot-sysreport

2020-02-18 15:24:38 +0200 Siavash Tavakoli <siavash.tavakoli@open-xchange.com> (9716ed66e)

    util: dovecot-sysreport: Fix bug in perl existence check

    Also use "[[" command to be consistent with rest of the script.

M	src/util/dovecot-sysreport

2020-01-23 20:26:29 +0200 Aki Tuomi <aki.tuomi@open-xchange.com> (44f3a1f2e)

    NEWS: Add news for 2.3.9.3


M	NEWS

2020-02-11 15:26:35 +0200 Martti Rannanjärvi <martti.rannanjarvi@open-xchange.com> (2521f7aa4)

    util: Change interpreter in dovecot-sysreport to /usr/bin/env bash

    This is more portable.

M	src/util/dovecot-sysreport

2020-02-11 15:11:46 +0200 Martti Rannanjärvi <martti.rannanjarvi@open-xchange.com> (b58e054b4)

    util: Cleanup whitespace in dovecot-sysreport


M	src/util/dovecot-sysreport

2020-02-11 15:51:47 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (27c98c939)

    lib-mail: Improve test-message-decoder unit test


M	src/lib-mail/test-message-decoder.c

2020-02-11 15:11:14 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (5c556f1dd)

    lib-mail: message-decoder - Remove unnecessary encoding_buf


M	src/lib-mail/message-decoder.c

2020-02-11 15:08:22 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (0008897d5)

    lib-mail: message-decoder - Fix using the new incremental base64-decoder API

    Decoding multiple base64 blocks caused the decoder to produce garbage. 
    Broken by afa3db0a6f15e1b1038cb47f0632baa8f23d0f67

M	src/lib-mail/message-decoder.c

2020-01-15 22:10:08 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (d0685acbf)

    lib-mail: message_snippet_generate() - Fix potential crash when input ends
    with '>'

    This happens only when the mail was large enough and full enough with 
    whitespace that message-parser returned multiple blocks before the snippet 
    was finished.

    Broken by 74063ed8219d055489d5233b0c02a59886d2078c

M	src/lib-mail/message-snippet.c

2020-01-15 21:38:26 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (40bf4883b)

    lib-mail: test-message-snippet - Test for invalid and truncated UTF-8


M	src/lib-mail/test-message-snippet.c

2020-01-15 21:09:34 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (8654019c5)

    lib-fts: Add assert to make sure uni_utf8_get_char() returns valid UTF-8

    The input to lib-fts is always expected to be valid UTF-8.

M	src/lib-fts/fts-filter-contractions.c

2020-01-15 21:07:05 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (a9560afbb)

    fts-solr: Add asserts to make sure make sure uni_utf8_get_char_n() returns
    valid UTF-8

    FTS input is always valid UTF-8. This just makes it a bit clearer.

M	src/plugins/fts-solr/fts-backend-solr-old.c
M	src/plugins/fts-solr/fts-backend-solr.c

2020-01-14 10:54:34 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (033710664)

    lib-smtp: test-smtp-command-parser - Add tests for incomplete UTF-8
    characters.


M	src/lib-smtp/test-smtp-command-parser.c

2020-01-14 10:49:16 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (c5cb45a1c)

    lib-smtp: smtp-command-parser - Fix infinite loop occurring when command
    stream ends in UTF-8 character.

    Broken by 8f08f1944be438a2422b604c08e5060b5c7bd72f.

M	src/lib-smtp/smtp-command-parser.c

2020-01-30 16:34:35 +0100 Uli Martens <uli@youam.net> (5a09059c1)

    man: doveadm-sync - Fix message UID in example


M	doc/man/doveadm-sync.1.in

2020-02-07 11:42:37 +0200 Aki Tuomi <aki.tuomi@open-xchange.com> (14744bee8)

    m4: dovecot.m4 - It's Schridde, not Schridded

    Mistakenly changed in a50212d6827

M	m4/dovecot.m4

2020-01-17 09:42:51 +0200 Aki Tuomi <aki.tuomi@open-xchange.com> (6ad3cf86a)

    dovecot.m4: Bump serial


M	m4/dovecot.m4

2020-01-17 09:42:07 +0200 Aki Tuomi <aki.tuomi@open-xchange.com> (090e16264)

    dovecot.m4: Add --with-retpoline

    Makes retpoline optional.

M	m4/dovecot.m4

2020-01-17 09:35:44 +0200 Aki Tuomi <aki.tuomi@open-xchange.com> (cb598ea1a)

    dovecot.m4: Split retpoline check into parts


M	m4/dovecot.m4

2020-02-04 12:32:59 -0500 Josef 'Jeff' Sipek <jeff.sipek@open-xchange.com> (07cacc5f2)

    imap: expunge: Expunge \Deleted mails in batches of 1000


M	src/imap/imap-expunge.c

2020-02-04 12:10:45 -0500 Josef 'Jeff' Sipek <jeff.sipek@open-xchange.com> (81ddb0070)

    imap: expunge: Collect all \Deleted mails' seqs and then expunge them

    This makes the following commit much more understandable.

M	src/imap/imap-expunge.c

2020-01-24 11:43:56 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (e41146bd7)

    imap: move: Send untagged OK/COPYUID also when the move succeeded partially

    If at least one transactions was successfully committed, something was 
    moved. Even if another transaction failed later on and the MOVE command 
    fails with NO, send the untagged OK/COPYUID which describes which mails were
    successfully moved.

M	src/imap/cmd-copy.c

2020-01-24 11:43:20 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (f28d18705)

    imap: copy/move: Move code to cmd_move_send_untagged()


M	src/imap/cmd-copy.c

2019-12-16 14:08:58 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (baf63ff83)

    imap: copy/move: Fix error handling when source transaction/search fails

    Previously the destination storage was used for getting the error. If the 
    source and destination storages were different, this resulted in getting a 
    wrong error.

M	src/imap/cmd-copy.c

2019-12-16 13:51:50 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (5e5832d98)

    imap: Add client_send_error()


M	src/imap/imap-commands-util.c
M	src/imap/imap-commands-util.h

2019-12-16 11:38:04 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (2add0b858)

    imap: move: Commit transactions every 1000 mails


M	src/imap/cmd-copy.c

2020-02-04 17:20:15 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (2ed8d08c6)

    imap: Add imap_search_seqset_iter_*() API for batched iteration of a seqset


M	src/imap/imap-search-args.c
M	src/imap/imap-search-args.h

2019-12-12 16:36:13 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (09413e35f)

    imap: copy/move: Handle transaction commit changes within fetch_and_copy()

    This prepares to support multiple destination transactions.

M	src/imap/cmd-copy.c

2019-12-12 16:35:46 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (7c5b1e171)

    imap: copy/move: Move copy_update_trashed() earlier


M	src/imap/cmd-copy.c

2019-12-12 16:25:30 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (f262edf0d)

    imap: copy/move: Refactor to use struct cmd_copy_context


M	src/imap/cmd-copy.c

2020-01-23 18:31:01 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (df592aadb)

    lib: Add seq_range_array_merge_n()


M	src/lib/seq-range-array.c
M	src/lib/seq-range-array.h
M	src/lib/test-seq-range-array.c

2020-01-13 08:34:44 -0500 Josef 'Jeff' Sipek <jeff.sipek@open-xchange.com> (6626791be)

    lib-storage: Autoexpunge mails in batches of 1000


M	src/lib-storage/mail-autoexpunge.c

2020-01-14 17:27:37 -0500 Josef 'Jeff' Sipek <jeff.sipek@open-xchange.com> (2934323c2)

    lib-storage: Move mail autoexpunge loop into a helper function

    This makes the next commit easier.

M	src/lib-storage/mail-autoexpunge.c

2018-08-27 23:39:02 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (1404e9b61)

    imap: Implement the STATUS=SIZE capability.

    Coexists with the existing proprietary X-SIZE status, which is to be
    deprecated in the future.

M	configure.ac
M	src/imap/imap-status.c
M	src/imap/imap-status.h

2018-08-27 23:28:58 +0200 Stephan Bosch <stephan.bosch@dovecot.fi> (82e5d49fd)

    imap: Restructure handling of the STATUS response so that it uses its own
    flags for the items.

    Before, it used mailbox status and metadata item flags for this purpose. 
    This is needed to allow the existing X-SIZE and the newly standardized SIZE
    flag to coexist.

M	src/imap/cmd-notify.c
M	src/imap/imap-notify.c
M	src/imap/imap-status.c
M	src/imap/imap-status.h

2020-01-20 16:03:01 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (d59b19089)

    dict-redis: Add missing dict_wait()

    This caused various problems when used in places where dict_wait() was 
    required, e.g. quota or quota_clone plugins.

M	src/lib-dict/dict-redis.c

2020-02-03 12:15:49 +0200 Aki Tuomi <aki.tuomi@open-xchange.com> (967ff694a)

    plugins: push-notification: Include mailbox field


M	src/plugins/push-notification/push-notification-triggers.c

2020-02-03 10:59:45 +0200 Aki Tuomi <aki.tuomi@open-xchange.com> (ad311a891)

    plugins: push-notification: Only emit event if something was triggered

    Otherwise events would be sent from non-push transactions, such as mail
    searches.

M	src/plugins/push-notification/push-notification-plugin.c

2020-02-02 20:40:32 +0200 Aki Tuomi <aki.tuomi@open-xchange.com> (6695bce75)

    push-notification: Don't send event on failure

    If transaction was rolled back, don't send event.

M	src/plugins/push-notification/push-notification-plugin.c

2020-02-02 20:09:03 +0200 Aki Tuomi <aki.tuomi@open-xchange.com> (4704da55b)

    push-notification: Use transaction event in HTTP request


M	src/plugins/push-notification/push-notification-driver-ox.c

2019-12-01 11:32:24 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (28c163c5b)

    plugins: push-notification: Reformat push-notification-txn-msg.h.


M	src/plugins/push-notification/push-notification-txn-msg.h

2019-12-01 11:32:17 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (35ed0ce8f)

    plugins: push-notification: Reformat push-notification-txn-msg.c.


M	src/plugins/push-notification/push-notification-txn-msg.c

2019-12-01 11:32:09 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (8f3f47510)

    plugins: push-notification: Reformat push-notification-txn-mbox.h.


M	src/plugins/push-notification/push-notification-txn-mbox.h

2019-12-01 11:32:04 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (8b02da100)

    plugins: push-notification: Reformat push-notification-txn-mbox.c.


M	src/plugins/push-notification/push-notification-txn-mbox.c

2019-12-01 11:31:48 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (0b043f39a)

    plugins: push-notification: Reformat push-notification-triggers.h.


M	src/plugins/push-notification/push-notification-triggers.h

2019-12-01 11:31:44 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (7f844380c)

    plugins: push-notification: Reformat push-notification-triggers.c.


M	src/plugins/push-notification/push-notification-triggers.c

2019-12-01 11:31:25 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (e4bb808db)

    plugins: push-notification: Reformat push-notification-plugin.c.


M	src/plugins/push-notification/push-notification-plugin.c

2019-12-01 11:30:32 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (f91809cf5)

    plugins: push-notification: Reformat push-notification-events.h.


M	src/plugins/push-notification/push-notification-events.h

2019-12-01 11:30:27 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (c82bf9515)

    plugins: push-notification: Reformat push-notification-events.c.


M	src/plugins/push-notification/push-notification-events.c

2019-12-01 11:30:14 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (faf88a632)

    plugins: push-notification: Reformat push-notification-events-rfc5423.h.


M	src/plugins/push-notification/push-notification-events-rfc5423.h

2019-12-01 11:30:09 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (386f57c8e)

    plugins: push-notification: Reformat push-notification-events-rfc5423.c.


M	src/plugins/push-notification/push-notification-events-rfc5423.c

2019-12-01 11:29:44 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (227aab7fb)

    plugins: push-notification: Reformat push-notification-event-messagetrash.h.


M	src/plugins/push-notification/push-notification-event-messagetrash.h

2019-12-01 11:29:41 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (0606df13f)

    plugins: push-notification: Reformat push-notification-event-messagetrash.c.


M	src/plugins/push-notification/push-notification-event-messagetrash.c

2019-12-01 11:29:28 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (7b8fe7fe2)

    plugins: push-notification: Reformat push-notification-event-messageread.h.


M	src/plugins/push-notification/push-notification-event-messageread.h

2019-12-01 11:29:23 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (dec6480c2)

    plugins: push-notification: Reformat push-notification-event-messageread.c.


M	src/plugins/push-notification/push-notification-event-messageread.c

2019-12-01 11:29:10 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (50e2ca4c2)

    plugins: push-notification: Reformat push-notification-event-messagenew.h.


M	src/plugins/push-notification/push-notification-event-messagenew.h

2019-12-01 11:29:06 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (3c077501e)

    plugins: push-notification: Reformat push-notification-event-messagenew.c.


M	src/plugins/push-notification/push-notification-event-messagenew.c

2019-12-01 11:28:46 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (ab50b5d32)

    plugins: push-notification: Reformat
    push-notification-event-messageexpunge.h.


M	src/plugins/push-notification/push-notification-event-messageexpunge.h

2019-12-01 11:28:42 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (24d264314)

    plugins: push-notification: Reformat
    push-notification-event-messageexpunge.c.


M	src/plugins/push-notification/push-notification-event-messageexpunge.c

2019-12-01 11:28:27 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (bea0b5e07)

    plugins: push-notification: Reformat
    push-notification-event-messageappend.h.


M	src/plugins/push-notification/push-notification-event-messageappend.h

2019-12-01 11:28:22 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (92bea8a79)

    plugins: push-notification: Reformat
    push-notification-event-messageappend.c.


M	src/plugins/push-notification/push-notification-event-messageappend.c

2019-12-01 11:28:07 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (f479b6dbf)

    plugins: push-notification: Reformat
    push-notification-event-message-common.h.


M	src/plugins/push-notification/push-notification-event-message-common.h

2019-12-01 11:28:02 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (5c36bd025)

    plugins: push-notification: Reformat
    push-notification-event-message-common.c.


M	src/plugins/push-notification/push-notification-event-message-common.c

2019-12-01 11:27:35 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (48bd10a47)

    plugins: push-notification: Reformat
    push-notification-event-mailboxunsubscribe.h.


M	src/plugins/push-notification/push-notification-event-mailboxunsubscribe.h

2019-12-01 11:27:29 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (ed163c73f)

    plugins: push-notification: Reformat
    push-notification-event-mailboxunsubscribe.c.


M	src/plugins/push-notification/push-notification-event-mailboxunsubscribe.c

2019-12-01 11:27:17 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (90ce5dae6)

    plugins: push-notification: Reformat
    push-notification-event-mailboxsubscribe.h.


M	src/plugins/push-notification/push-notification-event-mailboxsubscribe.h

2019-12-01 11:27:05 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (e439ffd92)

    plugins: push-notification: Reformat
    push-notification-event-mailboxsubscribe.c.


M	src/plugins/push-notification/push-notification-event-mailboxsubscribe.c

2019-12-01 11:26:41 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (86df2df25)

    plugins: push-notification: Reformat
    push-notification-event-mailboxrename.h.


M	src/plugins/push-notification/push-notification-event-mailboxrename.h

2019-12-01 11:26:35 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (568b0958f)

    plugins: push-notification: Reformat
    push-notification-event-mailboxrename.c.


M	src/plugins/push-notification/push-notification-event-mailboxrename.c

2019-12-01 11:26:18 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (761869465)

    plugins: push-notification: Reformat
    push-notification-event-mailboxdelete.h.


M	src/plugins/push-notification/push-notification-event-mailboxdelete.h

2019-12-01 11:26:13 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (cd83ff0ea)

    plugins: push-notification: Reformat
    push-notification-event-mailboxdelete.c.


M	src/plugins/push-notification/push-notification-event-mailboxdelete.c

2019-12-01 11:25:55 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (5ac04c595)

    plugins: push-notification: Reformat
    push-notification-event-mailboxcreate.h.


M	src/plugins/push-notification/push-notification-event-mailboxcreate.h

2019-12-01 11:25:50 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (f270152e6)

    plugins: push-notification: Reformat
    push-notification-event-mailboxcreate.c.


M	src/plugins/push-notification/push-notification-event-mailboxcreate.c

2019-12-01 11:25:31 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (1b2a982cc)

    plugins: push-notification: Reformat push-notification-event-flagsset.h.


M	src/plugins/push-notification/push-notification-event-flagsset.h

2019-12-01 11:25:22 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (15212747e)

    plugins: push-notification: Reformat push-notification-event-flagsset.c.


M	src/plugins/push-notification/push-notification-event-flagsset.c

2019-12-01 11:25:09 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (1fa04f6f6)

    plugins: push-notification: Reformat push-notification-event-flagsclear.h.


M	src/plugins/push-notification/push-notification-event-flagsclear.h

2019-12-01 11:25:03 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (d6ace342b)

    plugins: push-notification: Reformat push-notification-event-flagsclear.c.


M	src/plugins/push-notification/push-notification-event-flagsclear.c

2019-12-01 11:24:28 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (ed542cd13)

    plugins: push-notification: Reformat push-notification-drivers.h.


M	src/plugins/push-notification/push-notification-drivers.h

2019-12-01 11:24:19 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (f3821d0ba)

    plugins: push-notification: Reformat push-notification-drivers.c.


M	src/plugins/push-notification/push-notification-drivers.c

2019-12-01 11:24:04 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (59438a211)

    plugins: push-notification: Reformat push-notification-driver-ox.c.


M	src/plugins/push-notification/push-notification-driver-ox.c

2019-12-01 11:23:55 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (cebef7f6e)

    plugins: push-notification: Reformat push-notification-driver-lua.c.


M	src/plugins/push-notification/push-notification-driver-lua.c

2019-12-01 11:23:39 +0100 Stephan Bosch <stephan.bosch@open-xchange.com> (d20d43a32)

    plugins: push-notification: Reformat push-notification-driver-dlog.c.


M	src/plugins/push-notification/push-notification-driver-dlog.c

2020-02-04 18:56:28 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (a170b35ae)

    lib: Timeouts may have been run a bit too early

    The timeout was run early if it was to be run in less than 1 millisecond.

    This could have resulted in an infinite loop in some special situations when
    timeout_add_absolute() was used in a timeout callback.

M	src/lib/ioloop.c

2020-02-03 12:57:52 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (2666cfb8d)

    lib: Add i_nanoseconds() and i_microseconds()


M	src/lib/test-time-util.c
M	src/lib/time-util.c
M	src/lib/time-util.h

2020-01-24 23:36:52 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (5a34ae865)

    global: Replace the rest of the gettimeofday() calls with i_gettimeofday()

    It can't practically fail, so don't keep error handling that is never 
    tested.

M	src/auth/db-ldap.c
M	src/auth/userdb-passwd.c
M	src/lib-master/test-event-stats.c

2020-01-24 23:33:05 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (c66995377)

    global: Replace most gettimeofday() calls with i_gettimeofday()

    Replace the ones where error handling is:
    * Nonexistent
    * i_fatal()
    * i_panic()

M	src/lib-dns/dns-lookup.c
M	src/lib-fs/fs-api.c
M	src/lib-fs/fs-posix.c
M	src/lib-sql/driver-cassandra.c
M	src/lib-storage/index/index-search.c
M	src/lib/failures.c
M	src/lib/file-lock.c
M	src/lib/ioloop-notify-inotify.c
M	src/lib/ioloop-notify-kqueue.c
M	src/lib/ioloop.c
M	src/lib/lib-event.c
M	src/lib/net.c
M	src/lib/test-ioloop.c
M	src/login-common/client-common.c
M	src/plugins/fts-squat/squat-test.c
M	src/plugins/old-stats/mail-stats-fill.c

2020-01-24 23:27:09 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (4ea9109ec)

    lib: Add i_gettimeofday()


M	src/lib/time-util.c
M	src/lib/time-util.h

2019-01-13 23:34:14 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (4456878b6)

    lib-program-client: Allocate string settings on the client pool.

    Before, it assumed the strings to be durably allocated externally, which is
    very risky.

M	src/lib-program-client/program-client.c

2019-01-13 23:17:54 +0100 Stephan Bosch <stephan.bosch@dovecot.fi> (48201a670)

    lib-smtp: client: transaction: Prevent NULL dereference in
    smtp_client_transaction_unref().

    The trans pointer is used before it is checked for being NULL, which is
    allowed for this function.

    Problem found by Coverity.

M	src/lib-smtp/smtp-client-transaction.c

2020-01-25 16:25:04 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (af22b4008)

    lib-index: Explicitly ignore mail_index_cancel_flag_updates() return value

    Makes static analyzers happier.

M	src/lib-index/mail-index-transaction-update.c

2020-01-23 10:45:35 +0200 Aki Tuomi <aki.tuomi@open-xchange.com> (d83b81bf1)

    lib-mail: Initialize start_pos in message_header_decode_encoded

    Satisfies static analyzers

M	src/lib-mail/message-header-decode.c

2020-01-23 10:44:28 +0200 Aki Tuomi <aki.tuomi@open-xchange.com> (494ff89c3)

    lib-program-client: Ensure set is not NULL in program_client_init

    Would cause crash otherwise.

    Found by coverity.

M	src/lib-program-client/program-client.c

2020-01-23 10:42:20 +0200 Aki Tuomi <aki.tuomi@open-xchange.com> (afe67e7c3)

    doveadm: doveadm-mail-mailbox-metadata - Handle error in
    doveadm_print_istream

    Found by coverity

M	src/doveadm/doveadm-mail-mailbox-metadata.c

2020-01-23 10:33:17 +0200 Aki Tuomi <aki.tuomi@open-xchange.com> (ec074bc24)

    lib-smtp: Remove double-assign of passthrough event

    Found by coverity

M	src/lib-smtp/smtp-server-recipient.c
M	src/lib-smtp/smtp-server-transaction.c

2020-01-23 09:57:26 +0200 Aki Tuomi <aki.tuomi@open-xchange.com> (c319ff612)

    doveadm: doveadm-sis - Ensure buf2 is not overrun

    Satisfies static analysers.

M	src/doveadm/doveadm-sis.c

2020-01-23 09:54:44 +0200 Aki Tuomi <aki.tuomi@open-xchange.com> (57792b29d)

    lib-mail: Add assert to ensure we don't overstep in input_idx_need_encoding

    Satisfies static analysers.

M	src/lib-mail/message-header-encode.c

2020-01-23 09:20:25 +0200 Aki Tuomi <aki.tuomi@open-xchange.com> (dcbe43fb2)

    lib-http: Fix memory leak in http_server_response_add_permanent_header

    Key and value is duplicated twice and the first duplicates are discarded
    without freeing.

    Found by coverity.

M	src/lib-http/http-server-response.c

2020-01-17 11:30:53 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (8647e3456)

    lib: Assert-crash on i_rand_limit(0) and add unit tests


M	src/lib/rand.c
M	src/lib/test-lib.inc
M	src/lib/test-random.c

2018-09-12 16:30:32 +0300 Timo Sirainen <timo.sirainen@dovecot.fi> (93ca89c4e)

    lib: event_filter_match() - "field=" filter now matches nonexistent field

    This makes sense, because event_filter_clear() also works by adding an empty 
    value to the event. So it wouldn't even be possible to differentiate between 
    empty and nonexistent fields unless larger changes were made.

M	src/lib/event-filter.c
M	src/lib/test-event-filter.c

2019-07-27 23:33:22 +0200 Stephan Bosch <stephan.bosch@open-xchange.com> (166e99335)

    lib-smtp: smtp-client-transaction - Fix immediate transaction to wait until
    the connection is ready.

    A transaction with the immediate mode enabled did not wait and started to
    submit commands too early; i.e., before an EHLO reply is received. This
    means that the first MAIL command is always sent bare without any extensions
    and the XCLIENT command is not sent when it is deferred (e.g. for
    submission).

M	src/lib-smtp/smtp-client-transaction.c

2020-01-27 22:52:51 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (a26da45b5)

    lib-index: Fix potential assert-crash when refreshing index without any
    views

    This is similar to the previous fix. If there are no references to the log 
    file head, refreshing the index will result in assert-crash.

    This seems to have happened in some very rare situations. Mainly found it 
    via the unit test though.

    Fixes: Panic: file mail-transaction-log.c: line 25
    (mail_transaction_log_set_head): assertion failed: (log->files != NULL)

M	src/lib-index/mail-transaction-log.c
M	src/lib-index/test-mail-index.c

2020-01-27 12:35:10 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (319cc23f1)

    lib-index: Add unit test for log rotation during commit


M	src/lib-index/Makefile.am
A	src/lib-index/test-mail-index.c

2019-09-20 15:48:10 +0300 Timo Sirainen <timo.sirainen@open-xchange.com> (663a98bfc)

    lib-index: Fix potential assert-crash when rotating log file

    Unlock the old head file before attempting to clean it. Fixes:

    Panic: file mail-transaction-log.c: line 229 (mail_transaction_logs_clean):
    assertion failed: (!file->locked || file->refcount > 0)

    This seems to only have happened during new obox index merging.

M	src/lib-index/mail-transaction-log.c

2020-01-27 12:11:13 +0200 Timo Sirainen <timo.sirainen@open-xchange.com> (4bfb2a289)

    lib-index: Add test-mail-index.h for easily doing init/deinit for mail_index


M	src/lib-index/Makefile.am
M	src/lib-index/test-mail-index-modseq.c
A	src/lib-index/test-mail-index.h

2019-09-06 12:09:58 +0300 Timo Sirainen <timo.sirainen@open-xchange.com> (469fcd3bd)

    lib-mail: Parse multiple address headers the same as if they were in a
    single header

    This is better from security point of view.

M	src/lib-mail/message-part-data.c

2019-09-09 19:16:19 +0300 Timo Sirainen <timo.sirainen@open-xchange.com> (d422cad5d)
